﻿using MediatR;
using WebApiEntityFrameworkMediatr.Data;

namespace WebApiEntityFrameworkMediatr.EventHandlers;

public class ProductNotification : INotification
{
    public ProductNotification(Product product)
    {
        Product = product;   
    }
    
    public Product Product { get; }
}

public class ProductNotificationHandler : INotificationHandler<ProductNotification>
{
    public Task Handle(ProductNotification notification, CancellationToken cancellationToken)
    {
        Console.WriteLine($"Product change: {notification.Product}.");
        return Task.CompletedTask;
    }
}